With 24 services published in the **[Helmholtz Cloud](https://helmholtz.cloud/)**, the portfolio already covers a large range. The collaboration and infrastructure services allow easy access for Helmholtz employees and their invited partners by using their home credentials. The eminent advantage that no additional password is needed was confirmed by our the review panel as well as our user groups. Starting a project becomes effortless with ready-to-use services like Gitlab, Chat and Sync & Share tools. Browse the services to discover the possibilities and use filter functions to choose.

The service portfolio will soon be complemented by two purely scientific services: [webODV (ocean data view by AWI)](https://hifis.net/use-case/2022/08/17/Ocean-Data-Viewer.html) and [Phileas Storage (Aircraft measurement campaign with HALO)](https://halo-research.de/) were set up by a research community and are tailored to their specific needs. 

Do you also want an easy and secure login access for various users to your (scientific) Helmholtz service? Then let’s see if Helmholtz AAI can solve your problem. Contact us at <support@hifis.net>.
